Package: groovy.util

## [Java] Class ObservableIterator

- groovy.util.ObservableList.ObservableIterator

- All Implemented Interfaces and Traits:
    Iterator

      protected class ObservableList.ObservableIterator

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected int` | `cursor` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ObservableList.ObservableIterator (Iterator iterDelegate)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Iterator` | `getDelegate()`
    `` | `boolean` | `hasNext()`
    `` | `Object` | `next()`
    `` | `void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### protected int cursor

  - ### Constructor Detail

    - #### public ObservableList.ObservableIterator(Iterator iterDelegate)

  - ### Method Detail

    - #### public Iterator getDelegate()

    - #### public boolean hasNext()

    - #### public Object next()

    - #### public void remove()